com.here.msdkui.routing

## Interface WaypointList.Listener

- Enclosing class:
    WaypointList

      public static interface WaypointList.Listener

  An interface for a listener to get notified on user interactions with this list.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onEntryAdded(int index, WaypointEntry entry)` Called when the user has added a `WaypointEntry`.
    `void` | `onEntryClicked(int index, WaypointEntry current)` Called when a user has clicked on a `WaypointEntry`.
    `void` | `onEntryDragged(int fromIdx, int toIdx)` Called when the user has put one finger on the entry and moved it to another position.
    `void` | `onEntryRemoved(int index, WaypointEntry entry)` Called when the user has removed a `WaypointEntry`.
    `void` | `onEntryUpdated(int index, WaypointEntry entry)` Called when the user has updated a `WaypointEntry`.

- - ### Method Detail

    - #### onEntryClicked

          void onEntryClicked(int index,
                              WaypointEntry current)

      Called when a user has clicked on a `WaypointEntry`.
      Parameters:
        `index` - the list index of the `WaypointEntry` that was clicked.
        `current` - the `WaypointEntry` that was clicked.

    - #### onEntryAdded

          void onEntryAdded(int index,
                            WaypointEntry entry)

      Called when the user has added a `WaypointEntry`.
      Parameters:
        `index` - the list index of the added `WaypointEntry`.
        `entry` - the added `WaypointEntry`.

    - #### onEntryUpdated

          void onEntryUpdated(int index,
                              WaypointEntry entry)

      Called when the user has updated a `WaypointEntry`.
      Parameters:
        `index` - the list index of the updated `WaypointEntry`.
        `entry` - the updated `WaypointEntry`.

    - #### onEntryRemoved

          void onEntryRemoved(int index,
                              WaypointEntry entry)

      Called when the user has removed a `WaypointEntry`.
      Parameters:
        `index` - the list index of the removed `WaypointEntry`.
        `entry` - the removed `WaypointEntry`.

    - #### onEntryDragged

          void onEntryDragged(int fromIdx,
                              int toIdx)

      Called when the user has put one finger on the entry and moved it to another position.
      Parameters:
        `fromIdx` - the list index of the entry where the user has put one finger to start dragging.
        `toIdx` - the list index of the entry where the user has lifted the finger and stopped dragging.